Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.engine
Interface AutoStepable

All Known Implementing Classes:
  Boss, Boss, Competitor, Consultant, Consultant, Employee, Employee, Judge, TrainedEmployee

    public interface AutoStepable

This interface can be used for a more advanced stepping pattern for agents. This steps agents in 3 increments, first in the preStep (normally for setting an agent up for the next step, next in the step (normally for doing the bulk of the agent's actions), and finally in the postStep (normally for cleaning up after a run, swapping buffers and so forth).
Each method can throw @{link #Exception}s, allowing for stopping of the model when an agent can't complete an action.

Version:
  $Revision: 1.4 $ $Date: 2005/08/12 16:13:29 $
Author:
  Jerry Vos

Method Summary
`void` | `postStep()` normally the method for swapping in new public data and otherwise handling the results/cleanup of a step
`void` | `preStep()` normally the method for setting up an agent for the next step
`void` | `step()` normally the method that performs the actual actions of a step

Method Detail

### preStep

    void preStep()
                 throws java.lang.Exception

  normally the method for setting up an agent for the next step

  Throws:
    `java.lang.Exception` - when there is an error

### step

    void step()
              throws java.lang.Exception

  normally the method that performs the actual actions of a step

  Throws:
    `java.lang.Exception` - when there is an error

### postStep

    void postStep()
                  throws java.lang.Exception

  normally the method for swapping in new public data and otherwise handling the results/cleanup of a step

  Throws:
    `java.lang.Exception` - when there is an error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD